import { __decorate, __param } from 'vscode/external/tslib/tslib.es6.js';
import { ICommandService } from 'vscode/vscode/vs/platform/commands/common/commands.service';
import { IConfigurationService } from 'vscode/vscode/vs/platform/configuration/common/configuration.service';
import { ILabelService } from 'vscode/vscode/vs/platform/label/common/label.service';
import { IQuickInputService } from 'vscode/vscode/vs/platform/quickinput/common/quickInput.service';
import { IWorkspaceContextService } from 'vscode/vscode/vs/platform/workspace/common/workspace.service';
import { BaseConfigurationResolverService } from './baseConfigurationResolverService.js';
import 'vscode/vscode/vs/platform/instantiation/common/instantiation';
import { IEditorService } from 'vscode/vscode/vs/workbench/services/editor/common/editorService.service';
import { IExtensionService } from 'vscode/vscode/vs/workbench/services/extensions/common/extensions.service';
import { IPathService } from 'vscode/vscode/vs/workbench/services/path/common/pathService.service';

let ConfigurationResolverService = class ConfigurationResolverService extends BaseConfigurationResolverService {
    constructor(editorService, configurationService, commandService, workspaceContextService, quickInputService, labelService, pathService, extensionService) {
        super({ getAppRoot: () => undefined, getExecPath: () => undefined }, Promise.resolve(Object.create(null)), editorService, configurationService, commandService, workspaceContextService, quickInputService, labelService, pathService, extensionService);
    }
};
ConfigurationResolverService = ( __decorate([
    ( __param(0, IEditorService)),
    ( __param(1, IConfigurationService)),
    ( __param(2, ICommandService)),
    ( __param(3, IWorkspaceContextService)),
    ( __param(4, IQuickInputService)),
    ( __param(5, ILabelService)),
    ( __param(6, IPathService)),
    ( __param(7, IExtensionService))
], ConfigurationResolverService));

export { ConfigurationResolverService };
